/*****************************************************************************
 * $Id: version.c,v 2.31 1997/06/11 01:07:00 ak Exp $
 *****************************************************************************
 * $Log: version.c,v $
 * Revision 2.31  1997/06/11 01:07:00  ak
 * New TAPE/TAPE$x name translation.
 *
 * Revision 2.30  1997/06/07 12:16:39  ak
 * ACl fix.
 * 2.57.
 *
 * Revision 2.29  1997/05/01 19:55:21  ak
 * In GNU-dumps, empty directories were omitted.
 *
 * Revision 2.28  1997/02/19 18:14:07  ak
 * 2.54
 *
 * Revision 2.27  1996/10/22 22:23:33  ak
 * Timezone Probleme (a) von EMX 0.9c0 (b) prinzipieller Art.
 *
 * Revision 2.26  1996/06/15 19:03:01  ak
 * ACL support stopped with "out of memory" if NETLIB was unavailable.
 *
 * Revision 2.25  1996/06/12 16:51:51  ak
 * Enhanced thread priority control.
 *
 * Revision 2.24  1996/06/03 02:11:20  ak
 * *** empty log message ***
 *
 * Revision 2.23  1996/06/02 20:05:21  ak
 * Release 2.49.
 *
 * Revision 2.22  1995/04/18 00:34:55  ak
 * Dropped gzip (crashed).
 * Other experimental compression instead.
 *
 * Revision 2.21  1995/03/27  01:33:00  ak
 * Added individual file compression (--fzip). Create/extract only, no diff, no update.
 *
 * Revision 2.20  1995/03/26  13:56:46  ak
 * 2.45
 *
 * Revision 2.19  1994/11/18  23:00:25  ak
 * 2.43
 *
 * Revision 2.18  1994/10/17  21:44:20  ak
 * 2.42
 *
 * Revision 2.17  1994/09/04 22:16:32  ak
 * 2.41
 *
 * Revision 2.16  1994/08/21 12:30:47  ak
 * 2.40
 *
 * Revision 2.15  1994/08/11 19:15:25  ak
 * 2.38
 *
 * Revision 2.14  1994/08/06 19:16:24  ak
 * Bugfix --substitute.
 *
 * Revision 2.13  1994/08/06 16:31:11  ak
 * AK.
 *
 * Revision 2.12  1994/07/14 20:08:45  ak
 * Small version w/o ACL support and statically linked LIBC.
 *
 * Revision 2.11  1994/07/11 16:21:31  edvkai
 * 2.36
 *
 * Revision 2.10  1994/07/05 18:45:16  edvkai
 * 2.35: Posix support for long filenames and magic name.
 *
 * Lots of changes in filename handling, I hope I found all places. Added
 * decode_filename() with result in var 'filename' for this. header.name
 * should no longer be used. The diffarch kludge FILENAME is no longer
 * necessary.
 *
 * Treatment of links is not up-to-date, I fear - what's defined by Posix
 * about long link names?
 *
 * Due to NONAMES, prior versions created "oldarch" style archives without
 * magic name. Now magic is "ustar\0""00" for Posix and "ustar  \0" else.
 *
 * Unused header space is used to support multi-volume archives in Posix -
 * THIS IS SPECIFIC TO GTAK.
 *
 * Note that Posix conflicts with atime/ctime.
 *
 * Revision 2.9  1994/07/04 02:03:10  ak
 * Rewrote QFA directory entry parser to allow support all versions of
 * tape directories since GTAK 1.0.
 *
 * Further reduced amount of redundant text in tape directory.
 *
 * Version 2.34.
 *
 * Revision 2.8  1994/06/15 10:07:16  ak
 * 2.33 -- Accept 2.12 style --archive and --reset-archive options for
 * compatibility with TARSHELL 1.0.
 *
 * Revision 2.7  1994/05/31 21:35:29  ak
 * 2.32
 *
 * Revision 2.6  1994/02/17 16:03:44  ak
 * Step up to 2.31 due to different EA representation.
 *
 * Revision 2.5  1994/01/19 18:19:19  ak
 * IBM LAN Server/Requester bug: Use DENYWR by default as DENYNO
 * can lead to files being left open forever.
 *
 * Revision 2.4  1993/12/14  21:27:11  ak
 * 2.23.
 *
 * Revision 2.3  1993/11/30  22:38:51  ak
 * *** empty log message ***
 *
 * Revision 2.2  1993/08/08  19:29:19  ak
 * 2.21.
 *
 * Revision 2.1  1993/08/08  19:11:36  ak
 * Merge of network TAR with 2.12.
 *
 * Revision 1.8  1993/02/21  14:43:58  ak
 * mkdir() changed in 0.8f.
 *
 * Revision 1.7  1993/02/15  22:58:53  ak
 * *** empty log message ***
 *
 * Revision 1.1.1.2  1993/08/08  17:53:42  ak
 * - Added GZip option.
 * - Network tape access.
 * - Dynamically loaded modules for disk/scsi/network interfaces.
 *
 * Revision 1.6  1992/12/13  10:18:32  ak
 * 2.10
 *
 * Revision 1.5  1992/10/29  10:34:29  ak
 * *** empty log message ***
 *
 * Revision 1.4  1992/09/26  09:07:24  ak
 * Version 2.01
 *
 * Revision 1.3  1992/09/12  15:57:41  ak
 * - Usenet patches for GNU TAR 1.10
 * - Bugfixes and patches of Kai Uwe Rommel:
 *         filename conversion for FAT
 *         EMX 0.8e
 *         -0..1 alias for a: b:
 *         -2..7 alias for +++TAPE$x
 *
 * Revision 1.2  1992/09/02  20:08:59  ak
 * Version AK200
 * - Tape access
 * - Quick file access
 * - OS/2 extended attributes
 * - Some OS/2 fixes
 * - Some fixes of Kai Uwe Rommel
 *
 * Revision 1.1.1.1  1992/09/02  19:23:08  ak
 * Original GNU Tar 1.10 with some filenames changed for FAT compatibility.
 *
 * Revision 1.1  1992/09/02  19:23:06  ak
 * Initial revision
 *
 *****************************************************************************/

static char *rcsid = "$Id: version.c,v 2.31 1997/06/11 01:07:00 ak Exp $";

/*
 * Modified by Andreas Kaiser July 92.
 * See CHANGES.AK for info.
 */

/* Version info for tar.
   Copyright (C) 1989, Free Software Foundation.

This file is part of GNU Tar.

GNU Tar is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

GNU Tar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Tar; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

#if 1
char version_string[] = "GNU tar version 1.10 - AK 2.58";
#else   
char version_string[] = "GNU tar version 1.10";
#endif
